com.smartgwt.client.widgets

## Class Slider

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.Slider

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasRuleContextChangedHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasValueChangedHandlers, HasVisibilityChangedHandlers

      public class Slider
      extends Canvas
      implements HasValueChangedHandlers

  The Slider class implements a GUI slider widget allowing the user to select a numeric value from within a range by dragging a visual indicator up and down a track.

  The slider will generate events as the user interacts with it and changes its value. If slider.sliderTarget is specified, moving the slider thumb generates a custom event named 'sliderMove', sent to the sliderTarget. If a `sliderMove` handler stringMethod is defined on the target, it will be fired when the slider is moved. The second parameter (available via the variable name `eventInfo` if the handler is a string) is a pointer back to the slider.

  The slider will also fire a `valueChanged()` method whenever its value is changed. This can be observed or overridden on the Slider instance to perform some action.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Slider()`
    `Slider(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `Slider(java.lang.String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addValueChangedHandler(ValueChangedHandler handler)` Add a valueChanged handler.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getAnimateThumb()` Should the thumb be animated to its new position when the value is changed programmatically, or by clicking in the slider track.
    `java.lang.Boolean` | `getAnimateThumbInit()` If thumb animation is enabled, should the thumb be animated to its initial value?
    `int` | `getAnimateThumbTime()` Duration of thumb animation, in milliseconds.
    `java.lang.Boolean` | `getCanFocus()` Indicates whether keyboard manipulation of the slider is allowed.
    `java.lang.Boolean` | `getFlipValues()` Specifies whether the value range of the slider should be flipped so that values increase as the thumb is moved down (for a vertical slider) or to the left (for a horizontal slider).
    `java.lang.String` | `getHThumbStyle()` Optional CSS style for the thumb for a horizontally oriented slider.
    `java.lang.String` | `getHTrackStyle()` Optional CSS style for the track for a horizontally oriented slider.
    `int` | `getLabelHeight()` The height of the labels used to display the minimum, maximum and current values of the slider.
    `int` | `getLabelSpacing()` The space around the labels used to display the minimum, maximum and current values of the slider.
    `int` | `getLabelWidth()` The width of the labels used to display the minimum, maximum and current values of the slider.
    `int` | `getLength()` Used to set slider height if vertical, slider width if horizontal.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `float` | `getMaxValue()` Deprecated. `GwtFloatVsDouble`
    `double` | `getMaxValueAsDouble()` The maximum slider value.
    `java.lang.String` | `getMaxValueLabel()` The text displayed in the label for the maximum value of the slider.
    `float` | `getMinValue()` Deprecated. `GwtFloatVsDouble`
    `double` | `getMinValueAsDouble()` The minimum slider value.
    `java.lang.String` | `getMinValueLabel()` The text displayed in the label for the minimum value of the slider.
    `java.lang.Integer` | `getNumValues()` The number of discrete values represented by slider.
    `static Slider` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getRoundPrecision()` If `roundValues` is false, the slider value will be rounded to this number of decimal places.
    `java.lang.Boolean` | `getRoundValues()` Specifies whether the slider value should be rounded to the nearest integer.
    `java.lang.Boolean` | `getShowRange()` Indicates whether labels for the min and max values of the slider should be displayed.
    `java.lang.Boolean` | `getShowTitle()` Indicates whether the slider's title should be displayed.
    `java.lang.Boolean` | `getShowValue()` Indicates whether a label for the value of the slider should be displayed.
    `float` | `getStepPercent()` Deprecated. `GwtFloatVsDouble`
    `double` | `getStepPercentAsDouble()` The percentage of the total slider that constitutes one discrete step.
    `java.lang.String` | `getThumbSrc()` The base filename for the slider thumb images.
    `int` | `getThumbThickWidth()` The dimension of the thumb perpendicular to the slider track.
    `int` | `getThumbThinWidth()` The dimension of the thumb parallel to the slider track.
    `java.lang.String` | `getTitle()` Optional display title for the slider.
    `int` | `getTrackCapSize()` The height of vertical slider start and end images, or width of horizontal slider start and end images.
    `ImageStyle` | `getTrackImageType()` The imageType setting for the slider track.
    `java.lang.String` | `getTrackSrc()` The base filename for the slider track images.
    `int` | `getTrackWidth()` The thickness of the track.
    `float` | `getValue()` Deprecated. `GwtFloatVsDouble`
    `double` | `getValueAsDouble()` The slider value.
    `java.lang.Boolean` | `getVertical()` Indicates whether this is a vertical or horizontal slider.
    `java.lang.String` | `getVThumbStyle()` Optional CSS style for the thumb for a vertically oriented slider.
    `java.lang.String` | `getVTrackStyle()` Optional CSS style for the track for a vertically oriented slider.
    `void` | `setAnimateThumb(java.lang.Boolean animateThumb)` Should the thumb be animated to its new position when the value is changed programmatically, or by clicking in the slider track.
    `void` | `setAnimateThumbInit(java.lang.Boolean animateThumbInit)` If thumb animation is enabled, should the thumb be animated to its initial value?
    `void` | `setAnimateThumbTime(int animateThumbTime)` Duration of thumb animation, in milliseconds.
    `void` | `setCanFocus(java.lang.Boolean canFocus)` Indicates whether keyboard manipulation of the slider is allowed.
    `static void` | `setDefaultProperties(Slider sliderProperties)` Class level method to set the default properties of this class.
    `void` | `setFlipValues(java.lang.Boolean flipValues)` Specifies whether the value range of the slider should be flipped so that values increase as the thumb is moved down (for a vertical slider) or to the left (for a horizontal slider).
    `void` | `setHThumbStyle(java.lang.String hThumbStyle)` Optional CSS style for the thumb for a horizontally oriented slider.
    `void` | `setHTrackStyle(java.lang.String hTrackStyle)` Optional CSS style for the track for a horizontally oriented slider.
    `void` | `setLabelHeight(int labelHeight)` The height of the labels used to display the minimum, maximum and current values of the slider.
    `void` | `setLabelSpacing(int labelSpacing)` The space around the labels used to display the minimum, maximum and current values of the slider.
    `void` | `setLabelWidth(int labelWidth)` The width of the labels used to display the minimum, maximum and current values of the slider.
    `void` | `setLength(int length)` Used to set slider height if vertical, slider width if horizontal.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.SliderLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setMaxValue(double maxValue)` The maximum slider value.
    `void` | `setMaxValue(float maxValue)` Deprecated. `GwtFloatVsDouble`
    `void` | `setMaxValueLabel(java.lang.String maxValueLabel)` The text displayed in the label for the maximum value of the slider.
    `void` | `setMinValue(double minValue)` The minimum slider value.
    `void` | `setMinValue(float minValue)` Deprecated. `GwtFloatVsDouble`
    `void` | `setMinValueLabel(java.lang.String minValueLabel)` The text displayed in the label for the minimum value of the slider.
    `void` | `setNumValues(java.lang.Integer numValues)` The number of discrete values represented by slider.
    `void` | `setRoundPrecision(int roundPrecision)` If `roundValues` is false, the slider value will be rounded to this number of decimal places.
    `void` | `setRoundValues(java.lang.Boolean roundValues)` Specifies whether the slider value should be rounded to the nearest integer.
    `void` | `setShowRange(java.lang.Boolean showRange)` Indicates whether labels for the min and max values of the slider should be displayed.
    `void` | `setShowTitle(java.lang.Boolean showTitle)` Indicates whether the slider's title should be displayed.
    `void` | `setShowValue(java.lang.Boolean showValue)` Indicates whether a label for the value of the slider should be displayed.
    `void` | `setStepPercent(double stepPercent)` The percentage of the total slider that constitutes one discrete step.
    `void` | `setStepPercent(float stepPercent)` Deprecated. `GwtFloatVsDouble`
    `void` | `setThumbSrc(java.lang.String thumbSrc)` The base filename for the slider thumb images.
    `void` | `setThumbThickWidth(int thumbThickWidth)` The dimension of the thumb perpendicular to the slider track.
    `void` | `setThumbThinWidth(int thumbThinWidth)` The dimension of the thumb parallel to the slider track.
    `void` | `setTitle(java.lang.String title)` Optional display title for the slider.
    `void` | `setTrackCapSize(int trackCapSize)` The height of vertical slider start and end images, or width of horizontal slider start and end images.
    `void` | `setTrackImageType(ImageStyle trackImageType)` The imageType setting for the slider track.
    `void` | `setTrackSrc(java.lang.String trackSrc)` The base filename for the slider track images.
    `void` | `setTrackWidth(int trackWidth)` The thickness of the track.
    `void` | `setValue(double value)` The slider value.
    `void` | `setValue(float value)` Deprecated. `GwtFloatVsDouble`
    `void` | `setVertical(java.lang.Boolean vertical)` Indicates whether this is a vertical or horizontal slider.
    `void` | `setVThumbStyle(java.lang.String vThumbStyle)` Optional CSS style for the thumb for a vertically oriented slider.
    `void` | `setVTrackStyle(java.lang.String vTrackStyle)` Optional CSS style for the track for a vertically oriented slider.
    `java.lang.Boolean` | `valueIsChanging()` Call this method in your `Slider.valueChanged()` handler to determine whether the value change is due to an ongoing drag interaction (true) or due to a thumb-release, mouse click, keypress, or programmatic event (false).

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, encloses, focus, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoMaskComponents, getAutoParent, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getEditProxyConstructor, getElement, getElement, getEnableWhen, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowDepth, getShadowImage, getShadowOffset, getShadowSoftness, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStyleName, getTabIndex, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getUseBackMask, getUseDragMask, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isDrawn, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, removeChild, removeChild, removePeer, removePeer, removeSnapAlignCandidate, resizeBy, resizeControls, resizeFonts, resizeFonts, resizeTo, resizeTo, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAlign, setAllowExternalFilters, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCursor, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setEditProxyConstructor, setElement, setEnableWhen, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeavePageSpace, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setParentCanvas, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setRect, setRect, setRedrawOnResize, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowDepth, setShadowImage, setShadowOffset, setShadowSoftness, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStyleName, setTabIndex, setTooltip, setTop, setTop, setUseBackMask, setUseDragMask, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateEditNode, updateHover, updateHover, updateShadow, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, applyFactoryProperties, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getById, getByJSObject, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### Slider

          public Slider()

    - #### Slider

          public Slider(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### Slider

          public Slider(java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static Slider getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `Canvas`

    - #### setAnimateThumb

          public void setAnimateThumb(java.lang.Boolean animateThumb)

      Should the thumb be animated to its new position when the value is changed programmatically, or by clicking in the slider track.
      Parameters:
        `animateThumb` - Default value is true

    - #### getAnimateThumb

          public java.lang.Boolean getAnimateThumb()

      Should the thumb be animated to its new position when the value is changed programmatically, or by clicking in the slider track.
      Returns:
        Boolean

    - #### setAnimateThumbInit

          public void setAnimateThumbInit(java.lang.Boolean animateThumbInit)

      If thumb animation is enabled, should the thumb be animated to its initial value?
      Parameters:
        `animateThumbInit` - Default value is false

    - #### getAnimateThumbInit

          public java.lang.Boolean getAnimateThumbInit()

      If thumb animation is enabled, should the thumb be animated to its initial value?
      Returns:
        Boolean

    - #### setAnimateThumbTime

          public void setAnimateThumbTime(int animateThumbTime)

      Duration of thumb animation, in milliseconds.
      Parameters:
        `animateThumbTime` - Default value is 250

    - #### getAnimateThumbTime

          public int getAnimateThumbTime()

      Duration of thumb animation, in milliseconds.
      Returns:
        int

    - #### setCanFocus

          public void setCanFocus(java.lang.Boolean canFocus)

      Indicates whether keyboard manipulation of the slider is allowed.
      Overrides:
        `setCanFocus` in class `Canvas`
      Parameters:
        `canFocus` - Default value is true
      See Also:
        `Focus overview and related methods`, Focus & Tabbing Example

    - #### getCanFocus

          public java.lang.Boolean getCanFocus()

      Indicates whether keyboard manipulation of the slider is allowed.
      Overrides:
        `getCanFocus` in class `Canvas`
      Returns:
        Boolean
      See Also:
        `Focus overview and related methods`, Focus & Tabbing Example

    - #### setFlipValues

          public void setFlipValues(java.lang.Boolean flipValues)

      Specifies whether the value range of the slider should be flipped so that values increase as the thumb is moved down (for a vertical slider) or to the left (for a horizontal slider).
      If this method is called after the component has been drawn/initialized: Sets the `flipValues` property of the slider
      Parameters:
        `flipValues` - flip slider values?. Default value is false

    - #### getFlipValues

          public java.lang.Boolean getFlipValues()

      Specifies whether the value range of the slider should be flipped so that values increase as the thumb is moved down (for a vertical slider) or to the left (for a horizontal slider).
      Returns:
        Boolean

    - #### setHThumbStyle

          public void setHThumbStyle(java.lang.String hThumbStyle)
                              throws java.lang.IllegalStateException

      Optional CSS style for the thumb for a horizontally oriented slider.

      Will have the suffix "down" added when the mouse is down on the thumb, and "Disabled" added when the slider is disabled.

      Parameters:
        `hThumbStyle` -
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `CSSStyleName . Default value is null`

    - #### getHThumbStyle

          public java.lang.String getHThumbStyle()

      Optional CSS style for the thumb for a horizontally oriented slider.

      Will have the suffix "down" added when the mouse is down on the thumb, and "Disabled" added when the slider is disabled.

      Returns:
      See Also:
        `CSSStyleName`

    - #### setHTrackStyle

          public void setHTrackStyle(java.lang.String hTrackStyle)
                              throws java.lang.IllegalStateException

      Optional CSS style for the track for a horizontally oriented slider.

      Will have the suffix "Disabled" added when the slider is disabled.

      Parameters:
        `hTrackStyle` -
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `CSSStyleName . Default value is null`

    - #### getHTrackStyle

          public java.lang.String getHTrackStyle()

      Optional CSS style for the track for a horizontally oriented slider.

      Will have the suffix "Disabled" added when the slider is disabled.

      Returns:
      See Also:
        `CSSStyleName`

    - #### setLabelHeight

          public void setLabelHeight(int labelHeight)

      The height of the labels used to display the minimum, maximum and current values of the slider.
      If this method is called after the component has been drawn/initialized: Sets the `labelHeight` property of the slider
      Parameters:
        `labelHeight` - new label height. Default value is 20

    - #### getLabelHeight

          public int getLabelHeight()

      The height of the labels used to display the minimum, maximum and current values of the slider.
      Returns:
        int

    - #### setLabelSpacing

          public void setLabelSpacing(int labelSpacing)

      The space around the labels used to display the minimum, maximum and current values of the slider.
      If this method is called after the component has been drawn/initialized: Sets the `labelSpacing` property of the slider
      Parameters:
        `labelSpacing` - new label spacing. Default value is 5

    - #### getLabelSpacing

          public int getLabelSpacing()

      The space around the labels used to display the minimum, maximum and current values of the slider.
      Returns:
        int

    - #### setLabelWidth

          public void setLabelWidth(int labelWidth)

      The width of the labels used to display the minimum, maximum and current values of the slider.
      If this method is called after the component has been drawn/initialized: Sets the `labelWidth` property of the slider
      Parameters:
        `labelWidth` - new label width. Default value is 50

    - #### getLabelWidth

          public int getLabelWidth()

      The width of the labels used to display the minimum, maximum and current values of the slider.
      Returns:
        int

    - #### setLength

          public void setLength(int length)

      Used to set slider height if vertical, slider width if horizontal. Applied to the slider track, not necessarily the entire widget. Overridden by an explicit width/height specification for the widget.
      Parameters:
        `length` - Default value is 200

    - #### getLength

          public int getLength()

      Used to set slider height if vertical, slider width if horizontal. Applied to the slider track, not necessarily the entire widget. Overridden by an explicit width/height specification for the widget.
      Returns:
        int

    - #### setMaxValue

          public void setMaxValue(float maxValue)

      Deprecated. `GwtFloatVsDouble`
      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `maximum value` of the slider
      Parameters:
        `maxValue` - the new maximum value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 100
      See Also:
        `setFlipValues(java.lang.Boolean)`, Slider Example

    - #### getMaxValue

          public float getMaxValue()

      Deprecated. `GwtFloatVsDouble`
      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      Returns:
        float
      See Also:
        `getFlipValues()`, Slider Example

    - #### setMaxValue

          public void setMaxValue(double maxValue)

      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `maximum value` of the slider
      Parameters:
        `maxValue` - the new maximum value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 100
      See Also:
        `setFlipValues(java.lang.Boolean)`, Slider Example

    - #### getMaxValueAsDouble

          public double getMaxValueAsDouble()

      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      Returns:
        double
      See Also:
        `getFlipValues()`, Slider Example

    - #### setMaxValueLabel

          public void setMaxValueLabel(java.lang.String maxValueLabel)

      The text displayed in the label for the maximum value of the slider. If left as null, then slider.maxValue will be displayed.
      If this method is called after the component has been drawn/initialized: Sets the `maxValueLabel` property of the slider
      Parameters:
        `maxValueLabel` - new label text. Default value is null
      See Also:
        `setShowRange(java.lang.Boolean)`, `setMaxValue(float)`

    - #### getMaxValueLabel

          public java.lang.String getMaxValueLabel()

      The text displayed in the label for the maximum value of the slider. If left as null, then slider.maxValue will be displayed.
      Returns:
        String
      See Also:
        `getShowRange()`, `getMaxValue()`

    - #### setMinValue

          public void setMinValue(float minValue)

      Deprecated. `GwtFloatVsDouble`
      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `minimum value` of the slider
      Parameters:
        `minValue` - the new minimum value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 1
      See Also:
        `setFlipValues(java.lang.Boolean)`, Slider Example

    - #### getMinValue

          public float getMinValue()

      Deprecated. `GwtFloatVsDouble`
      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      Returns:
        float
      See Also:
        `getFlipValues()`, Slider Example

    - #### setMinValue

          public void setMinValue(double minValue)

      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `minimum value` of the slider
      Parameters:
        `minValue` - the new minimum value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 1
      See Also:
        `setFlipValues(java.lang.Boolean)`, Slider Example

    - #### getMinValueAsDouble

          public double getMinValueAsDouble()

      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      Returns:
        double
      See Also:
        `getFlipValues()`, Slider Example

    - #### setMinValueLabel

          public void setMinValueLabel(java.lang.String minValueLabel)

      The text displayed in the label for the minimum value of the slider. If left as null, then slider.minValue will be displayed.
      Parameters:
        `minValueLabel` - Default value is null
      See Also:
        `setShowRange(java.lang.Boolean)`, `setMinValue(float)`

    - #### getMinValueLabel

          public java.lang.String getMinValueLabel()

      The text displayed in the label for the minimum value of the slider. If left as null, then slider.minValue will be displayed.
      Returns:
        String
      See Also:
        `getShowRange()`, `getMinValue()`

    - #### setNumValues

          public void setNumValues(java.lang.Integer numValues)

      The number of discrete values represented by slider. If specified, the range of valid values (between `minValue` and `maxValue`) will be divided into this many steps. As the thumb is moved along the track it will only select these values and appear to jump between the steps.
      If this method is called after the component has been drawn/initialized: Sets the `number of values` for the slider
      Parameters:
        `numValues` - the new number of values Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is null
      See Also:
        Slider Example

    - #### getNumValues

          public java.lang.Integer getNumValues()

      The number of discrete values represented by slider. If specified, the range of valid values (between `minValue` and `maxValue`) will be divided into this many steps. As the thumb is moved along the track it will only select these values and appear to jump between the steps.
      Returns:
        Integer
      See Also:
        Slider Example

    - #### setRoundPrecision

          public void setRoundPrecision(int roundPrecision)

      If `roundValues` is false, the slider value will be rounded to this number of decimal places. If set to null the value will not be rounded
      If this method is called after the component has been drawn/initialized: Sets the `roundPrecision` property of the slider
      Parameters:
        `roundPrecision` - new round precision. Default value is 1

    - #### getRoundPrecision

          public int getRoundPrecision()

      If `roundValues` is false, the slider value will be rounded to this number of decimal places. If set to null the value will not be rounded
      Returns:
        int

    - #### setRoundValues

          public void setRoundValues(java.lang.Boolean roundValues)

      Specifies whether the slider value should be rounded to the nearest integer. If set to false, values will be rounded to a fixed number of decimal places controlled by `roundPrecision`.
      If this method is called after the component has been drawn/initialized: Sets the `roundValues` property of the slider
      Parameters:
        `roundValues` - round slider values?. Default value is true

    - #### getRoundValues

          public java.lang.Boolean getRoundValues()

      Specifies whether the slider value should be rounded to the nearest integer. If set to false, values will be rounded to a fixed number of decimal places controlled by `roundPrecision`.
      Returns:
        Boolean

    - #### setShowRange

          public void setShowRange(java.lang.Boolean showRange)

      Indicates whether labels for the min and max values of the slider should be displayed. The default positions for these labels are below the start/end of a horizontal slider, or to the right of the start/end of a vertical slider.
      If this method is called after the component has been drawn/initialized: Sets the `showRange` property of the slider
      Parameters:
        `showRange` - show the slider range?. Default value is true
      See Also:
        `setMinValueLabel(java.lang.String)`, `setMaxValueLabel(java.lang.String)`

    - #### getShowRange

          public java.lang.Boolean getShowRange()

      Indicates whether labels for the min and max values of the slider should be displayed. The default positions for these labels are below the start/end of a horizontal slider, or to the right of the start/end of a vertical slider.
      Returns:
        Boolean
      See Also:
        `getMinValueLabel()`, `getMaxValueLabel()`

    - #### setShowTitle

          public void setShowTitle(java.lang.Boolean showTitle)

      Indicates whether the slider's title should be displayed. The default position for this label is to the left of a horizontal slider, or above a vertical slider.
      If this method is called after the component has been drawn/initialized: Sets the `showTitle` property of the slider
      Parameters:
        `showTitle` - show the slider title?. Default value is true
      See Also:
        `setTitle(java.lang.String)`

    - #### getShowTitle

          public java.lang.Boolean getShowTitle()

      Indicates whether the slider's title should be displayed. The default position for this label is to the left of a horizontal slider, or above a vertical slider.
      Returns:
        Boolean
      See Also:
        `getTitle()`

    - #### setShowValue

          public void setShowValue(java.lang.Boolean showValue)

      Indicates whether a label for the value of the slider should be displayed. The default position for this label is to the right of a vertical slider, or below a horizontal slider.
      If this method is called after the component has been drawn/initialized: Sets the `showValue` property of the slider
      Parameters:
        `showValue` - show the slider value?. Default value is true
      See Also:
        `setValue(float)`

    - #### getShowValue

          public java.lang.Boolean getShowValue()

      Indicates whether a label for the value of the slider should be displayed. The default position for this label is to the right of a vertical slider, or below a horizontal slider.
      Returns:
        Boolean
      See Also:
        `getValue()`

    - #### setStepPercent

          public void setStepPercent(float stepPercent)

      Deprecated. `GwtFloatVsDouble`
      The percentage of the total slider that constitutes one discrete step. The slider will move one step when the appropriate arrow key is pressed.
      If this method is called after the component has been drawn/initialized: Sets the `stepPercent` property of the slider
      Parameters:
        `stepPercent` - new slider step percent. Default value is 5

    - #### getStepPercent

          public float getStepPercent()

      Deprecated. `GwtFloatVsDouble`
      The percentage of the total slider that constitutes one discrete step. The slider will move one step when the appropriate arrow key is pressed.
      Returns:
        float

    - #### setStepPercent

          public void setStepPercent(double stepPercent)

      The percentage of the total slider that constitutes one discrete step. The slider will move one step when the appropriate arrow key is pressed.
      If this method is called after the component has been drawn/initialized: Sets the `stepPercent` property of the slider
      Parameters:
        `stepPercent` - new slider step percent. Default value is 5

    - #### getStepPercentAsDouble

          public double getStepPercentAsDouble()

      The percentage of the total slider that constitutes one discrete step. The slider will move one step when the appropriate arrow key is pressed.
      Returns:
        double

    - #### setThumbSrc

          public void setThumbSrc(java.lang.String thumbSrc)

      The base filename for the slider thumb images. The filenames for the thumb icons are assembled from this base filename and the state of the thumb, as follows:
      Assume the thumbSrc is set to `{baseName}.{extension}`
      The full set of images to be displayed is:
      For horizontal sliders:
      - `h{baseName}.{extension}`: default enabled appearance.
      - `h{baseName}_down.{extension}`: appearance when the slider is enabled and the thumb is clicked.
      - `h{baseName}_Disabled.{extension}`: appearance when the slider is disabled.
      For vertical sliders:
      - `v{baseName}.{extension}`: default enabled appearance.
      - `v{baseName}_down.{extension}`: appearance when the slider is enabled and the thumb is clicked.
      - `v{baseName}_Disabled.{extension}`: appearance when the slider is disabled.
      If this method is called after the component has been drawn/initialized: Sets the `thumbSrc` property of the slider
      Parameters:
        `thumbSrc` - new thumbSrc. Default value is "thumb.gif"

    - #### getThumbSrc

          public java.lang.String getThumbSrc()

      The base filename for the slider thumb images. The filenames for the thumb icons are assembled from this base filename and the state of the thumb, as follows:
      Assume the thumbSrc is set to `{baseName}.{extension}`
      The full set of images to be displayed is:
      For horizontal sliders:
      - `h{baseName}.{extension}`: default enabled appearance.
      - `h{baseName}_down.{extension}`: appearance when the slider is enabled and the thumb is clicked.
      - `h{baseName}_Disabled.{extension}`: appearance when the slider is disabled.
      For vertical sliders:
      - `v{baseName}.{extension}`: default enabled appearance.
      - `v{baseName}_down.{extension}`: appearance when the slider is enabled and the thumb is clicked.
      - `v{baseName}_Disabled.{extension}`: appearance when the slider is disabled.
      Returns:
        String

    - #### setThumbThickWidth

          public void setThumbThickWidth(int thumbThickWidth)

      The dimension of the thumb perpendicular to the slider track.
      If this method is called after the component has been drawn/initialized: Sets the `thumbThickWidth` property of the slider
      Parameters:
        `thumbThickWidth` - new thumbThickWidth. Default value is 23

    - #### getThumbThickWidth

          public int getThumbThickWidth()

      The dimension of the thumb perpendicular to the slider track.
      Returns:
        int

    - #### setThumbThinWidth

          public void setThumbThinWidth(int thumbThinWidth)

      The dimension of the thumb parallel to the slider track.
      If this method is called after the component has been drawn/initialized: Sets the `thumbThinWidth` property of the slider
      Parameters:
        `thumbThinWidth` - new thumbThinWidth. Default value is 17

    - #### getThumbThinWidth

          public int getThumbThinWidth()

      The dimension of the thumb parallel to the slider track.
      Returns:
        int

    - #### setTitle

          public void setTitle(java.lang.String title)

      Optional display title for the slider.
      If this method is called after the component has been drawn/initialized: Sets the `title` of the slider
      Overrides:
        `setTitle` in class `Canvas`
      Parameters:
        `title` - new title for the slider. Default value is "Set Value"
      See Also:
        `setShowTitle(java.lang.Boolean)`

    - #### getTitle

          public java.lang.String getTitle()

      Optional display title for the slider.
      Overrides:
        `getTitle` in class `Canvas`
      Returns:
        String
      See Also:
        `getShowTitle()`

    - #### setTrackCapSize

          public void setTrackCapSize(int trackCapSize)

      The height of vertical slider start and end images, or width of horizontal slider start and end images.
      If this method is called after the component has been drawn/initialized: Sets the `trackCapSize` property of the slider
      Parameters:
        `trackCapSize` - new trackCapSize. Default value is 6

    - #### getTrackCapSize

          public int getTrackCapSize()

      The height of vertical slider start and end images, or width of horizontal slider start and end images.
      Returns:
        int

    - #### setTrackImageType

          public void setTrackImageType(ImageStyle trackImageType)

      The imageType setting for the slider track.
      If this method is called after the component has been drawn/initialized: Sets the `trackImageType` property of the slider
      Parameters:
        `trackImageType` - new trackImageType. Default value is "stretch"
      See Also:
        `ImageStyle`, `StretchImg.setImageType(com.smartgwt.client.types.ImageStyle)`

    - #### getTrackImageType

          public ImageStyle getTrackImageType()

      The imageType setting for the slider track.
      Returns:
        ImageStyle
      See Also:
        `ImageStyle`, `StretchImg.getImageType()`

    - #### setTrackSrc

          public void setTrackSrc(java.lang.String trackSrc)

      The base filename for the slider track images. The filenames for the track icons are assembled from this base filename and the state of the slider, as follows:
      Assume the trackSrc is set to `{baseName}.{extension}`
      The full set of images to be displayed is:
      For horizontal sliders:
      - `h{baseName}_start.{extension}`: start (left edge) of the track for a slider that is enabled.
      - `h{baseName}_stretch.{extension}`: the track for an enabled slider; this may be centered, tiled, or stretched.
      - `h{baseName}_end.{extension}`: end (right edge) of the track for a slider that is enabled.
      - `h{baseName}_Disabled_start.{extension}`: start (left edge) of the track for a slider that is disabled.
      - `h{baseName}_Disabled_stretch.{extension}`: the track for a disabled slider; this may be centered, tiled, or stretched.
      - `h{baseName}_Disabled_end.{extension}`: end (right edge) of the track for a slider that is disabled.
      For vertical sliders:
      - `v{baseName}_start.{extension}`: start (bottom edge) of the track for a slider that is enabled.
      - `v{baseName}_stretch.{extension}`: the track for an enabled slider; this may be centered, tiled, or stretched.
      - `v{baseName}_end.{extension}`: end (top edge) of the track for a slider that is enabled.
      - `v{baseName}_Disabled_start.{extension}`: start (bottom edge) of the track for a slider that is disabled.
      - `v{baseName}_Disabled_stretch.{extension}`: the track for a disabled slider; this may be centered, tiled, or stretched.
      - `v{baseName}_end.{extension}`: end (top edge) of the track for a slider that is disabled.
      If this method is called after the component has been drawn/initialized: Sets the `trackSrc` property of the slider
      Parameters:
        `trackSrc` - new trackSrc. Default value is "track.gif"
      See Also:
        `setTrackImageType(com.smartgwt.client.types.ImageStyle)`

    - #### getTrackSrc

          public java.lang.String getTrackSrc()

      The base filename for the slider track images. The filenames for the track icons are assembled from this base filename and the state of the slider, as follows:
      Assume the trackSrc is set to `{baseName}.{extension}`
      The full set of images to be displayed is:
      For horizontal sliders:
      - `h{baseName}_start.{extension}`: start (left edge) of the track for a slider that is enabled.
      - `h{baseName}_stretch.{extension}`: the track for an enabled slider; this may be centered, tiled, or stretched.
      - `h{baseName}_end.{extension}`: end (right edge) of the track for a slider that is enabled.
      - `h{baseName}_Disabled_start.{extension}`: start (left edge) of the track for a slider that is disabled.
      - `h{baseName}_Disabled_stretch.{extension}`: the track for a disabled slider; this may be centered, tiled, or stretched.
      - `h{baseName}_Disabled_end.{extension}`: end (right edge) of the track for a slider that is disabled.
      For vertical sliders:
      - `v{baseName}_start.{extension}`: start (bottom edge) of the track for a slider that is enabled.
      - `v{baseName}_stretch.{extension}`: the track for an enabled slider; this may be centered, tiled, or stretched.
      - `v{baseName}_end.{extension}`: end (top edge) of the track for a slider that is enabled.
      - `v{baseName}_Disabled_start.{extension}`: start (bottom edge) of the track for a slider that is disabled.
      - `v{baseName}_Disabled_stretch.{extension}`: the track for a disabled slider; this may be centered, tiled, or stretched.
      - `v{baseName}_end.{extension}`: end (top edge) of the track for a slider that is disabled.
      Returns:
        String
      See Also:
        `getTrackImageType()`

    - #### setTrackWidth

          public void setTrackWidth(int trackWidth)

      The thickness of the track. This is the width, for a vertical slider, or the height, for a horizontal slider.
      If this method is called after the component has been drawn/initialized: Sets the `trackWidth` property of the slider
      Parameters:
        `trackWidth` - new trackWidth. Default value is 7

    - #### getTrackWidth

          public int getTrackWidth()

      The thickness of the track. This is the width, for a vertical slider, or the height, for a horizontal slider.
      Returns:
        int

    - #### setValue

          public void setValue(float value)

      Deprecated. `GwtFloatVsDouble`
      The slider value. This value should lie between the minValue and maxValue and increases as the thumb is moved up (for a vertical slider) or right (for a horizontal slider) unless flipValues is set to true.
      If this method is called after the component has been drawn/initialized: Sets the slider value to newValue and moves the slider thumb to the appropriate position for this value. Sends the 'sliderMove' event to the sliderTarget.
      Parameters:
        `value` - the new value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 1
      See Also:
        `setMinValue(float)`, `setMaxValue(float)`, `setFlipValues(java.lang.Boolean)`, `setShowValue(java.lang.Boolean)`

    - #### getValue

          public float getValue()

      Deprecated. `GwtFloatVsDouble`
      The slider value. This value should lie between the minValue and maxValue and increases as the thumb is moved up (for a vertical slider) or right (for a horizontal slider) unless flipValues is set to true.
      Returns:
        Returns the current slider value.
      See Also:
        `getMinValue()`, `getMaxValue()`, `getFlipValues()`, `getShowValue()`

    - #### setValue

          public void setValue(double value)

      The slider value. This value should lie between the minValue and maxValue and increases as the thumb is moved up (for a vertical slider) or right (for a horizontal slider) unless flipValues is set to true.
      If this method is called after the component has been drawn/initialized: Sets the slider value to newValue and moves the slider thumb to the appropriate position for this value. Sends the 'sliderMove' event to the sliderTarget.
      Parameters:
        `value` - the new value Note:Use Doubles rather Floats when manipulating decimal values. See `GwtFloatVsDouble` for details. Default value is 1
      See Also:
        `setMinValue(float)`, `setMaxValue(float)`, `setFlipValues(java.lang.Boolean)`, `setShowValue(java.lang.Boolean)`

    - #### getValueAsDouble

          public double getValueAsDouble()

      The slider value. This value should lie between the minValue and maxValue and increases as the thumb is moved up (for a vertical slider) or right (for a horizontal slider) unless flipValues is set to true.
      Returns:
        Returns the current slider value.
      See Also:
        `getMinValue()`, `getMaxValue()`, `getFlipValues()`, `getShowValue()`

    - #### setVertical

          public void setVertical(java.lang.Boolean vertical)

      Indicates whether this is a vertical or horizontal slider.
      If this method is called after the component has been drawn/initialized: Sets the `vertical` property of the slider
      Parameters:
        `vertical` - is the slider vertical. Default value is true
      See Also:
        Slider Example

    - #### getVertical

          public java.lang.Boolean getVertical()

      Indicates whether this is a vertical or horizontal slider.
      Returns:
        Boolean
      See Also:
        Slider Example

    - #### setVThumbStyle

          public void setVThumbStyle(java.lang.String vThumbStyle)
                              throws java.lang.IllegalStateException

      Optional CSS style for the thumb for a vertically oriented slider. See `hThumbStyle` for state suffixes.
      Parameters:
        `vThumbStyle` -
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `CSSStyleName . Default value is null`

    - #### getVThumbStyle

          public java.lang.String getVThumbStyle()

      Optional CSS style for the thumb for a vertically oriented slider. See `hThumbStyle` for state suffixes.
      Returns:
      See Also:
        `CSSStyleName`

    - #### setVTrackStyle

          public void setVTrackStyle(java.lang.String vTrackStyle)
                              throws java.lang.IllegalStateException

      Optional CSS style for the track for a vertically oriented slider.

      Will have the suffix "Disabled" added when the slider is disabled.

      Parameters:
        `vTrackStyle` -
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `CSSStyleName . Default value is null`

    - #### getVTrackStyle

          public java.lang.String getVTrackStyle()

      Optional CSS style for the track for a vertically oriented slider.

      Will have the suffix "Disabled" added when the slider is disabled.

      Returns:
      See Also:
        `CSSStyleName`

    - #### addValueChangedHandler

          public com.google.gwt.event.shared.HandlerRegistration addValueChangedHandler(ValueChangedHandler handler)

      Add a valueChanged handler.

      This method is called when the slider value changes. This occurs when the `setValue()` method is called, or when the slider is moved. Observe this method to be notified when the slider value changes.

      Specified by:
        `addValueChangedHandler` in interface `HasValueChangedHandlers`
      Parameters:
        `handler` - the valueChanged handler
      Returns:
        `HandlerRegistration` used to remove this handler

    - #### valueIsChanging

          public java.lang.Boolean valueIsChanging()

      Call this method in your `Slider.valueChanged()` handler to determine whether the value change is due to an ongoing drag interaction (true) or due to a thumb-release, mouse click, keypress, or programmatic event (false). You may choose to execute temporary or partial updates while the slider thumb is dragged, and final updates or persistence of the value in response to the other events.
      Returns:
        true if user is still dragging the slider thumb, false otherwise

    - #### setDefaultProperties

          public static void setDefaultProperties(Slider sliderProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `sliderProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.SliderLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `Canvas`